Bug 66543 - Updated Ukrainian translation of WebKitGtk+
Summary: Updated Ukrainian translation of WebKitGtk+
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: 528+ (Nightly build)
Hardware: All Linux
: P3 Minor
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-19 01:55 PDT by Yuri Chornoivan
Modified: 2011-09-19 06:03 PDT (History)
2 users (show)

See Also:


Attachments
Updated PO-file (52.99 KB, application/octet-stream)
2011-08-19 01:55 PDT, Yuri Chornoivan
no flags Details
Patch with ChangeLog entry (68.72 KB, patch)
2011-08-30 22:23 PDT, Yuri Chornoivan
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Chornoivan 2011-08-19 01:55:53 PDT
Created attachment 104476 [details]
Updated PO-file

Hi!

Attached is Ukrainian translation of WebKitGtk+ from l10n.gnome.org. It complies with Ukrainian Gnome translation rules.

Thanks for your work.
Comment 1 Julien Chaffraix 2011-08-30 15:47:35 PDT
Thanks for the PO file. Please make sure you follow (http://www.webkit.org/coding/contributing.html) as we need a patch (with a ChangeLog) to be able to include your change into WebKit.

I have CC'ed Gustavo which knows Gtk more than I do to comment on the change itself.
Comment 2 Yuri Chornoivan 2011-08-30 22:23:49 PDT
Created attachment 105740 [details]
Patch with ChangeLog entry
Comment 3 Julien Chaffraix 2011-08-31 09:47:42 PDT
Comment on attachment 105740 [details]
Patch with ChangeLog entry

View in context: https://bugs.webkit.org/attachment.cgi?id=105740&action=review

FYI, you should make sure to set the review (r) flag to ? to have people knowledgeable look at your changes. I won't comment on the rest as I don't know the details.

> ../WebKit/WebKit/gtk/po/ChangeLog:6
> +        Reviewed by ??.

Did you use "Tools/Scripts/prepare-changelog -b 66543" to generate this line? (this is the preferred way as most of our tools rely on a specific value for this line to work)
Comment 4 Yuri Chornoivan 2011-08-31 10:13:00 PDT
(In reply to comment #3)
> (From update of attachment 105740 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=105740&action=review
> 

If it will be committed as is (ASCII) then better forget about this bug (the translation will be unreadable and unusable). Patches of this kind are meaningless for translations in UTF-8 (encoding is totally broken).

> FYI, you should make sure to set the review (r) flag to ? to have people knowledgeable look at your changes. I won't comment on the rest as I don't know the details.
> 
> > ../WebKit/WebKit/gtk/po/ChangeLog:6
> > +        Reviewed by ??.
> 
> Did you use "Tools/Scripts/prepare-changelog -b 66543" to generate this line? (this is the preferred way as most of our tools rely on a specific value for this line to work)

I used svn-create-patch without keys. Sorry, I am not a developer in this sense. It is impossible to me to download full code archive (1.3 GB). I have tried to do this but failed. I have just downloaded the branch with "svn co" and use the script on it.

If this patch is unusable (ChangeLog entry was added manually) then sorry, it seems that I cannot attach the better in the visible future. I am just a KDE translation coordinator wanted to help Gnomers. :'(
Comment 5 Gustavo Noronha (kov) 2011-09-19 06:03:56 PDT
I just got your updated translation committed Yuri, thanks for your effort! r95409